candidates = [
	"NDA", "MLP", "EM", "BH", "NA", "PP", "JC", "JL", "JLM", "FA", "FF",
]

left_right = [
	"NA", "PP", "JLM", "BH", "EM", "JL", "FF", "NDA", "MLP", "JC", "FA",
]

colors = { # from http://www.lemonde.fr/data/france/presidentielle-2017/
	"EM":  0xffd850,
	"MLP": 0x83726d,
	"FF":  0x75bbe2,
	"JLM": 0xde2707,
	"BH":  0xf39dc7,
	"NDA": 0x0088c6,
	"JL":  0xcee9f8,
	"PP":  0xf96f43,
	"FA":  0x131413,
	"NA":  0xa21700,
	"JC":  0x464a4c,
}

results = {
	"france": { # https://fr.wikipedia.org/wiki/%C3%89lection_pr%C3%A9sidentielle_fran%C3%A7aise_de_2017
		"EM":  (24.01, 8656346),
		"MLP": (21.30, 7678491),
		"FF":  (20.01, 7212995),
		"JLM": (19.58, 7059951),
		"BH":  ( 6.36, 2291288),
		"NDA": ( 4.70, 1695000),
		"JL":  ( 1.21,  435301),
		"PP":  ( 1.09,  394505),
		"FA":  ( 0.92,  332547),
		"NA":  ( 0.64,  232384),
		"JC":  ( 0.18,   65586),
		"Abst":  25.44,
		"Blanc":  8.51,
		"Nuls":   2.96,
	},
	"vt1_officiel": { # (    % voix)
		"JLM": (39.43, 362),
		"EM":  (28.43, 261),
		"BH":  (14.60, 134),
		"FF":  ( 9.59,  88),
		"MLP": ( 4.90,  45),
		"NDA": ( 1.31,  12),
		"NA":  ( 0.54,   5),
		"PP":  ( 0.54,   5),
		"JL":  ( 0.33,   3),
		"FA":  ( 0.33,   3),
		"JC":  ( 0.00,   0),
		"Abst":  24.82,
		"Blanc":  0.76,
		"Nuls":   0.22,
	},
	"vt2_officiel": { # (    % voix)
		"EM":  (35.85, 280),
		"JLM": (22.54, 176),
		"FF":  (21.90, 171),
		"BH":  ( 9.35,  73),
		"MLP": ( 6.91,  54),
		"NDA": ( 1.15,   9),
		"PP":  ( 0.64,   5),
		"FA":  ( 0.64,   5),
		"JL":  ( 0.51,   4),
		"NA":  ( 0.38,   3),
		"JC":  ( 0.13,   1),
		"Abst":  18.75,
		"Blanc":  1.13,
		"Nuls":   0.38,
	},
	"vt3_officiel": { # (    % voix)
		"EM":  (35.14, 247),
		"FF":  (23.33, 164),
		"JLM": (20.34, 143),
		"BH":  ( 9.67,  68),
		"MLP": ( 7.40,  52),
		"NDA": ( 1.71,  12),
		"PP":  ( 0.71,   5),
		"JL":  ( 0.71,   5),
		"FA":  ( 0.57,   4),
		"NA":  ( 0.43,   3),
		"JC":  ( 0.00,   0),
		"Abst":  14.56,
		"Blanc":  0.85,
		"Nuls":   0.14,
	},
	"vt1": { # (    % voix)
		"JLM":	(42.17,	167),
		"EM":	(31.06,	123),
		"BH":	(17.93,	 71),
		"FF":	( 4.29,	 17),
		"MLP":	( 2.02,	  8),
		"NDA":	( 0.76,	  3),
		"JL":	( 0.51,	  2),
		"PP":	( 0.25,	  1),
		"NA":	( 0.25,	  1),
		"JC":	( 0.00,	  0),
		"FA":	( 0.00,	  0),
		"Blanc":	0.76,
	},
	"vt2": { # (    % voix)
		"EM":	(39.46,	131),
		"JLM":	(27.11,	 90),
		"BH":	(14.46,	 48),
		"FF":	(12.35,	 41),
		"MLP":	( 2.11,	  7),
		"NDA":	( 1.51,	  5),
		"PP":	( 0.60,	  2),
		"NA":	( 0.60,	  2),
		"FA":	( 0.60,	  2),
		"JC":	( 0.30,	  1),
		"JL":	( 0.00,	  0),
		"Blanc":	0.90,
	},
	"vt3": { # (    % voix)
		"EM":	(38.85,	122),
		"JLM":	(28.03,	 88),
		"BH":	(13.69,	 43),
		"FF":	(10.83,	 34),
		"MLP":	( 3.50,	 11),
		"NDA":	( 1.59,	  5),
		"PP":	( 0.64,	  2),
		"JL":	( 0.64,	  2),
		"FA":	( 0.64,	  2),
		"NA":	( 0.32,	  1),
		"JC":	( 0.00,	  0),
		"Blanc":	1.27,
	},
}

coefs = {
	bureau: {
		**{
			c: results[bureau][c][0]/results["france"][c][0]
			for c in candidates
		},
		**{
			'B': results[bureau]["Blanc"]/results["france"]["Blanc"]
		}
	}
	for bureau in ['vt1', 'vt2', 'vt3']
}
