#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates, colors, results, coefs, left_right

counts = {
	c: []
	for c in candidates	
}


for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	indices = {
		c: columns.index('EV_'+c)
		for c in candidates
	}
	VOTE = columns.index('VOTE')

	for line in data:
		words = line.split()
		vote = words[VOTE]
		try:
			coef = coefs[bureau][vote]
		except:
			assert vote == "NSPP"
			continue
		for c in candidates:
			try:
				note = float(words[indices[c]])
			except:
				note = 0.
			if note < 0.: note = 0.
			if note > 1.: note = 1.
			counts[c].append((note, 1./coef))

if False: # stats
	from math import sqrt

	for c in candidates:
		notes = counts[c]
		notes.sort()
		print('candidat:', c)
		width = sum(w for n, w in notes)
		med = 0.
		for n, w in notes:
			med += w
			if med > width/2.:
				break
		print('mediane:  ', n)
		width = sum(w for n, w in notes)
		average = sum(n*w for n, w in notes)/width
		print('moyenne:  ', average)
		stderr = sum(n*n*w for n, w in notes)/width - average*average
		stddev = sqrt(stderr)
		print('std. dev.:', stddev)

if True:
	lines = {}
	for c in candidates:
		notes = counts[c]
		notes.sort()
		width = sum(w for n, w in notes)
		x = 0
		points = []
		for n, w in notes:
			x += w/width
			points.append((x, n))
		lines[c] = points


	from seagull import scenegraph as sg
	from seagull.xml import serialize
	
	H = 200
	N = 2
	scene = sg.Group(
		transform=[sg.Scale(2.5)],
		children=[
			sg.Group(stroke_width=.5, stroke=sg.Color.black, children=[
				sg.Line(x1=0, y1=y*H/N, x2=H, y2=y*H/N, )
				for y in range(N+1)
			] + [
				sg.Line(x1=x*H, y1=0, x2=x*H, y2=H, stroke_width=.5, stroke=sg.Color.black)
				for x in [0., .5, 1.]
			])] + [
			sg.Group(children=[
				sg.Polyline(stroke_width=1,
					points=[(x*H, H-y*H) for x, y in lines[c]],
					stroke="#%06x" % colors[c], fill=None,
				),
				sg.Text(c, font_size=15, transform=[sg.Translate(H+10, (i+1)*15)], stroke=None, fill="#%06x" % colors[c])
			])
			for i, c in enumerate(left_right)
		] + [
			sg.Text('contre',      font_size=8, text_anchor='end', y=H+2, x=-3),
			sg.Text('indifférent', font_size=8, text_anchor='end', y=H/2+2, x=-3),
			sg.Text('pour',        font_size=8, text_anchor='end', y=+2, x=-3),
			sg.Text('0%',          font_size=8, text_anchor='middle', y=H+10, x=0),
			sg.Text('50%',         font_size=8, text_anchor='middle', y=H+10, x=H/2),
			sg.Text('100%',        font_size=8, text_anchor='middle', y=H+10, x=H),
		]
	)

	print(serialize(scene))
