#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates, results, coefs

for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	indices = {
		c: columns.index('EV_'+c)
		for c in candidates
	}
	VOTE = columns.index('VOTE')

	counts = {
		c: 0.
		for c in candidates	
	}

	i = 0
	for line in data:
		words = line.split()
		vote = words[VOTE]
		try:
			coef = coefs[bureau][vote]
		except:
			assert vote == "NSPP"
			continue
		for c in candidates:
			try:
				note = float(words[indices[c]])
			except:
				note = 0.
			if note < 0.: note = 0.
			if note > 1.: note = 1.
			counts[c] += note/coef
		i += 1/coef

	print("-" * 78)
	print("bureau", bureau)
	print("votants", i)
	scores = [
		(counts[c]/i*100, c)
		for c in candidates
	]
	scores.sort(reverse=True)
	for score, c in scores:
		print("%s\t%.02f" % (c, score))

