#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates, results, coefs, left_right

N = 5
thresholds = list((i+1)/N for i in range(N))
mentions = {
	c: [0. for _ in range(N)]
	for c in candidates
}

for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	ev_indices = {
		c: columns.index('EV_'+c)
		for c in candidates
	}

	VOTE = columns.index('VOTE')

	for line in data:
		words = line.split()

		vote = words[VOTE]
		try:
			coef = coefs[bureau][vote]
		except:
			assert vote == "NSPP"
			continue

		for c in candidates:
			try:
				note = float(words[ev_indices[c]])
			except:
				note = 0.
			if note > 1.: note = 1.
			if note < 0.: note = 0.
		
			for i, t in enumerate(thresholds):
				if note <= t:
					break
			mentions[c][i] += 1./coef

#for c in candidates:
#	print(c, end='\t')
#	print(*list(u/sum(mentions[c]) for u in mentions[c]), sep='\t')
#	print(*list(sum(mentions[c][i:])/sum(mentions[c]) for i in range(N)), sep='\t')
#assert False

from seagull import scenegraph as sg
from seagull.xml import serialize

scene = sg.Group(
	transform=[sg.Scale(4)],
	children=[
		sg.Line(x1=-5, x2=len(candidates)*20-5, y1=50, y2=50, stroke=sg.Color.black)
	] + [
		sg.Group(
			transform=[sg.Translate(i*20)],
			children=[
				sg.Text(c, text_anchor='end', transform=[sg.Translate(10, 110), sg.Rotate(-45)]),
			] + [
				sg.Rectangle(width=10, height=100*m, y=100-100*m, fill=color, stroke=sg.Color.black)
				for color, m in zip(
					[sg.Color.darkred, sg.Color.red, sg.Color.orange, sg.Color.yellow, sg.Color.greenyellow, sg.Color.green][-N:],
					(sum(mentions[c][k:])/sum(mentions[c]) for k in range(N))
				)
			])
#		for i, c in enumerate(["JLM", "EM", "BH", "NDA", "PP", "FF", "JL", "NA", "MLP", "FA", "JC"])
		for i, c in enumerate(left_right)
	]
)

print(serialize(scene))
