#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates, left_right, colors, results, coefs

VOTES = left_right + ['B']
counts = {
	(c, v): []
	for c in candidates
	for v in VOTES
}


for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	indices = {
		c: columns.index('EV_'+c)
		for c in candidates
	}
	VOTE = columns.index('VOTE')

	for line in data:
		words = line.split()
		vote = words[VOTE]
		try:
			coef = coefs[bureau][vote]
		except:
			assert vote == "NSPP"
			continue
		for c in candidates:
			try:
				note = float(words[indices[c]])
			except:
				note = 0.
#			if note < 0.: note = 0.
#			if note > 1.: note = 1.
			counts[c, vote].append((note, 1./coef))


for c in candidates:
	output = open('notes-%s.txt' % c, 'w')
	print("#", c, file=output)
	sums = {
		v: 0.
		for v in VOTES
	}
	print(-float('inf'), *(sums[v] for v in VOTES), file=output)
#	print(-.5,           *(sums[v] for v in VOTES), file=output)
	
	notes = [
		(note, v, k)
		for v in VOTES
		for (note, k) in counts[c, v]
	]
	notes.sort()
	
	last_note = -.5
	for note, vote, k in notes:
		if last_note != note:
			print(last_note, *(sums[v] for v in VOTES), file=output)
			last_note = note
		sums[vote] += k

	print(note,         *(sums[v] for v in VOTES), file=output)
	print(1.5,          *(sums[v] for v in VOTES), file=output)
	print(float('inf'), *(sums[v] for v in VOTES), file=output)
	output.close()
	