#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from collections import defaultdict

from data import candidates, colors, results, coefs

pairs = defaultdict(float)

for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	indices = {
		c: columns.index('EV_'+c)
#		c: columns.index('AV_'+c)
		for c in candidates
	}
	VOTE = columns.index('VOTE')

	for line in data:
		words = line.split()
		vote = words[VOTE]
		try:
			coef = coefs[bureau][vote]
		except:
			assert vote == "NSPP"
			continue
		notes = {}
		for c in candidates:
			try:
				note = float(words[indices[c]])
			except:
				note = 0.
#			note = int(words[indices[c]])
			notes[c] = note
		for c0 in candidates:
			for c1 in candidates:
				if notes[c0] > notes[c1]:
					pairs[c0, c1] += 1./coef
				elif notes[c0] < notes[c1]:
					pairs[c1, c0] += 1./coef


print(' ', *('%-8s' % c for c in candidates), sep='\t')
for c0 in candidates:
	print(c0, *('%8.2f' % pairs[c0, c1] for c1 in candidates), sep='\t')

print(*sorted(pairs, key=lambda k: -pairs[k]), sep='\n')