#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import pickle

SEP = '\t'
SEP = '; '

data = 'vt3'
recto = '../../../../count/results_recto_%s.pickle' % data
verso = '../../../../count/results_verso_%s.pickle' % data

recto = pickle.load(open(recto, 'rb'))
verso = pickle.load(open(verso, 'rb'))

keys = list(recto)
keys.sort()

candidates = [
	"NDA", "MLP", "EM", "BH", "NA", "PP", "JC", "JL", "JLM", "FA", "FF",
]

print(*([
	"#I"
] + [
	"AV_"+c for c in candidates
] + [
	"EV_"+c for c in candidates
] + [
	"VOTE",
	"AGE",
	"SEXE",
	"ETUDE",
	"PROF",
	"AV",
	"EV",
	"OF",
]), sep=SEP)

for k in keys:
	print(k, end=SEP)
	
	r, v = recto[k], verso[k]
	
	avs = list(int(r['AV_'+c]) for c in candidates)
	print(*avs, sep=SEP, end=SEP)
	
	evs = list(v if good else None for (good, v, _) in (r['EV_'+c] for c in candidates))
	print(*evs, sep=SEP, end=SEP)
	
	(_, official), *_ = v['O']
	if official == 'NH': # typo in original configuration
		official = 'NA'
	
	print(official, end=SEP)

	sps = list(v for ((_, v), *_) in (v[u] for u in 'ASEP'))
	print(*sps, sep=SEP, end=SEP)
	
	vos = list(v for ((_, v), *_) in (v[u] for u in ['AV', 'EV', 'OF']))
	print(*vos, sep=SEP, end=SEP)
	
	print()
