#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates

for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)


	columns = next(data)
	columns = columns.split()

	VOTE = columns.index('VOTE')

	counts = {
		c: 0.
		for c in candidates + ['B']	
	}

	i = 0
	for line in data:
		words = line.split()
		vote = words[VOTE]
		try:
			counts[vote] += 1
		except:
			assert vote == "NSPP"
			continue
		i += 1

	print("-" * 78)
	print("bureau", bureau)
	print("votants", i)
	scores = [
		(counts[c]/i*100, c)
		for c in candidates
	]
	scores.sort(reverse=True)
	for score, c in scores:
		print("%s\t%.02f\t%i" % (c, score, counts[c]))
	print("Blancs\t%.02f" % (counts['B']/i*100))

