#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""template.py

template for processing VT data
"""

from data import candidates, colors, results, coefs

counts = {
	c: []
	for c in candidates	
}


for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	indices = {
		c: columns.index('EV_'+c)
		for c in candidates
	}
	VOTE = columns.index('VOTE')

	for line in data:
		words = line.split()
		vote = words[VOTE]
		try:
			coef = coefs[bureau][vote]
		except:
			assert vote == "NSPP"
			continue
		for c in candidates:
			try:
				note = float(words[indices[c]])
			except:
				note = 0.
			if note < 0.: note = 0.
			if note > 1.: note = 1.
			counts[c].append((note, 1./coef))

