#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates

mins, maxs = [], []

for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)

	columns = next(data)
	columns = columns.split()

	ev_indices = {
		c: columns.index('EV_'+c)
		for c in candidates
	}
	av_indices = {
		c: columns.index('AV_'+c)
		for c in candidates
	}

	for line in data:
		words = line.split()
		a_min, a_max = 0., 1.
		for c in candidates:
			try:
				note = float(words[ev_indices[c]])
			except:
				note = 0.
			if note > 1.: note = 1.
			if note < 0.: note = 0.
			if int(words[av_indices[c]]): # approbated candidate
				if note < a_max:
					a_max = note
			else:
				if a_min < note:
					a_min = note
		mins.append(a_min)
		maxs.append(a_max)

mins.sort()
maxs.sort()

print(sum(mins)/len(mins), sum(maxs)/len(maxs))
#print("#min")
#print('-inf')
#print('-1')
#print(*mins, sep='\n')
#print('2')
#print('inf')
