#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from math import log

from seagull import scenegraph as sg
from seagull.xml import serialize

from data import candidates, colors, left_right

W, H = 200, 200
MARGIN = 50
CANDIDATES = left_right
CANDIDATES = ["JLM", "BH", "EM", "FF", "MLP"]

scene = sg.Group(
#	transform=[sg.Scale(1, -1), sg.Scale(.5)],
	transform=[sg.Scale(1, -1)],
)

minimum = float('inf')
for line in open ('ponderations.txt'):
	w, vote, *notes = line.split()
	try:
		i = len(CANDIDATES) - CANDIDATES.index(vote) -1
	except ValueError:
		continue
	w = float(w)
	minimum = min(w, minimum)
	scene.children += [
#		sg.Rectangle(
#			x=W*log(w, 2)-2, y=H*float(note)-2, width=5, height=5,
		sg.Circle(
			cx=W*log(w, 2)-2, cy=H*float(note)-2+i*(H+MARGIN), r=2.5,
			fill="#%06x" % colors[c],
#			fill_opacity=.5,
		)
		for note, c in sorted(zip(notes, candidates), reverse=True) if c in CANDIDATES
	]

scene.children += [
	sg.Rectangle(x=W*i-2, y=-MARGIN, width=1, height=(H+MARGIN)*len(CANDIDATES)+MARGIN, fill=sg.Color.black, stroke=None)
	for i in range(int(log(minimum, 2))-1, int(log(w, 2))+1)
]

print(serialize(scene))

	
